name: Seven
type: theme
base theme: false
description: 'The Seven theme from Drupal 8/9 moved to contrib'
core_version_requirement: ^9 || ^10

# version: VERSION
libraries:
  - seven/classy.messages
  - core/normalize
  - seven/global-styling
libraries-override:
  system/base:
    css:
      component:
        css/components/system-status-counter.css: css/components/system-status-counter.css
        css/components/system-status-report-counters.css: css/components/system-status-report-counters.css
        css/components/system-status-report-general-info.css: css/components/system-status-report-general-info.css

  core/drupal.vertical-tabs:
    css:
      component:
        misc/vertical-tabs.css: false
  core/drupal.autocomplete:
    css:
      theme:
        assets/vendor/jquery.ui/themes/base/theme.css: false
  core/drupal.tabbingmanager:
    css:
      theme:
        assets/vendor/jquery.ui/themes/base/theme.css: false
  core/drupal.dialog:
    css:
      component:
        assets/vendor/jquery.ui/themes/base/dialog.css: false
      theme:
        assets/vendor/jquery.ui/themes/base/theme.css: false

libraries-extend:
  core/ckeditor:
    - seven/ckeditor-dialog
    - seven/ckeditor-admin
  core/drupal.autocomplete:
    - seven/seven.jquery.ui
  core/drupal.dialog:
    - seven/seven.drupal.dialog
    - seven/seven.jquery.ui
  core/drupal.dropbutton:
    - seven/classy.dropbutton
  core/drupal.progress:
    - seven/classy.progress
  core/drupal.tabbingmanager:
    - seven/seven.jquery.ui
  core/drupal.vertical-tabs:
    - seven/vertical-tabs
  file/drupal.file:
    - seven/classy.file
  filter/drupal.filter.admin:
    - seven/filter
  filter/drupal.filter:
    - seven/filter
  media/media_embed_ckeditor_theme:
    - seven/classy.media_embed_ckeditor_theme
  media_library/view:
    - seven/media_library
  media_library/widget:
    - seven/media_library
  tour/tour-styling:
    - seven/tour-styling
  user/drupal.user:
    - seven/user

quickedit_stylesheets:
  - css/components/quickedit.css
regions:
  header: 'Header'
  pre_content: 'Pre-content'
  breadcrumb: Breadcrumb
  highlighted: Highlighted
  help: Help
  content: Content
  page_top: 'Page top'
  page_bottom: 'Page bottom'
  sidebar_first: 'First sidebar'
regions_hidden:
  - sidebar_first

ckeditor_stylesheets:
  - css/classy/components/media-embed-error.css

# Information added by Drupal.org packaging script on 2023-05-09
version: '1.0.0'
project: 'seven'
datestamp: 1683652108
